Subject: Re: The difference between MGCP & MEGACO

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 27 Jun 2000 10:31:48 -0400

Just to correct your first misconception: Megaco/H.248 is a standard twice
over.  It has been approved both by the IESG and by the ITU-T.

You might try Hughes Software Systems for their paper on the differences
between the protocols.

> -----Original Message-----
> From: [email-masked] [SMTP:[email-masked]]
> Sent: Tuesday, June 27, 2000 9:51 AM
> To:   [email-masked]
> Subject:      The difference between MGCP & MEGACO
>
> I'm preparing to implement MGC and MG which supports MGCP, because, as I
> know,
>
> MEGACO is not yet fixed as an standard.
>
> But we still want to design the MGCP supporting MGC and MG easily migrate
> to support MEGACO.
>
>
>
> So I investigated the differences, cons & pros between those two
> protocols.
>
> I found that MGCP only defines text encoding, but MEGACO guides to MGC
> support text and binary
>
> encoding. The gateway control commands look similar(Only a few differences
> in their names and
>
> syntax). MEGACO supports TCP (I think it's for binary encoding.).
>
>
>
> Is there anybody who can explain the other differences between MGCP and
> MEGACO?
>
> And could you advise me how to design MGCP MGC and MG to easily move to
> MEGACO supporting systems?
>
>
>
> Thanks in advance!
>